"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = bitsDiff;

var _countSetBits = _interopRequireDefault(require("./countSetBits"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Counts the number of bits that need to be change in order
 * to convert numberA to numberB.
 *
 * @param {number} numberA
 * @param {number} numberB
 * @return {number}
 */
function bitsDiff(numberA, numberB) {
  return (0, _countSetBits.default)(numberA ^ numberB);
}