"use strict";

var _hammingDistance = _interopRequireDefault(require("../hammingDistance"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('hammingDistance', function () {
  it('should throw an error when trying to compare the strings of different lengths', function () {
    var compareStringsOfDifferentLength = function compareStringsOfDifferentLength() {
      (0, _hammingDistance.default)('a', 'aa');
    };

    expect(compareStringsOfDifferentLength).toThrowError();
  });
  it('should calculate difference between two strings', function () {
    expect((0, _hammingDistance.default)('a', 'a')).toBe(0);
    expect((0, _hammingDistance.default)('a', 'b')).toBe(1);
    expect((0, _hammingDistance.default)('abc', 'add')).toBe(2);
    expect((0, _hammingDistance.default)('karolin', 'kathrin')).toBe(3);
    expect((0, _hammingDistance.default)('karolin', 'kerstin')).toBe(3);
    expect((0, _hammingDistance.default)('1011101', '1001001')).toBe(2);
    expect((0, _hammingDistance.default)('2173896', '2233796')).toBe(3);
  });
});