"use strict";

var _isPowerOfTwo = _interopRequireDefault(require("../isPowerOfTwo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('isPowerOfTwo', function () {
  it('should detect if the number is power of two', function () {
    expect((0, _isPowerOfTwo.default)(1)).toBe(true);
    expect((0, _isPowerOfTwo.default)(2)).toBe(true);
    expect((0, _isPowerOfTwo.default)(3)).toBe(false);
    expect((0, _isPowerOfTwo.default)(4)).toBe(true);
    expect((0, _isPowerOfTwo.default)(5)).toBe(false);
    expect((0, _isPowerOfTwo.default)(6)).toBe(false);
    expect((0, _isPowerOfTwo.default)(7)).toBe(false);
    expect((0, _isPowerOfTwo.default)(8)).toBe(true);
    expect((0, _isPowerOfTwo.default)(9)).toBe(false);
    expect((0, _isPowerOfTwo.default)(16)).toBe(true);
    expect((0, _isPowerOfTwo.default)(23)).toBe(false);
    expect((0, _isPowerOfTwo.default)(32)).toBe(true);
    expect((0, _isPowerOfTwo.default)(127)).toBe(false);
    expect((0, _isPowerOfTwo.default)(128)).toBe(true);
  });
});