"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cartesianProduct;

function cartesianProduct(setA, setB) {
  if (!setA || !setB || !setA.length || !setB.length) {
    return null;
  }

  var product = [];

  for (var indexA = 0; indexA < setA.length; indexA += 1) {
    for (var indexB = 0; indexB < setB.length; indexB += 1) {
      product.push([setA[indexA], setB[indexB]]);
    }
  }

  return product;
}