"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Sort2 = _interopRequireDefault(require("../Sort"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var MergeSort =
/*#__PURE__*/
function (_Sort) {
  _inherits(MergeSort, _Sort);

  function MergeSort() {
    _classCallCheck(this, MergeSort);

    return _possibleConstructorReturn(this, _getPrototypeOf(MergeSort).apply(this, arguments));
  }

  _createClass(MergeSort, [{
    key: "sort",
    value: function sort(originalArray) {
      // Call visiting callback.
      this.callbacks.visitingCallback(null); // If array is empty or consists of one element then return this array since it is sorted.

      if (originalArray.length <= 1) {
        return originalArray;
      } // Split array on two halves.


      var middleIndex = Math.floor(originalArray.length / 2);
      var leftArray = originalArray.slice(0, middleIndex);
      var rightArray = originalArray.slice(middleIndex, originalArray.length); // Sort two halves of split array

      var leftSortedArray = this.sort(leftArray);
      var rightSortedArray = this.sort(rightArray); // Merge two sorted arrays into one.

      return this.mergeSortedArrays(leftSortedArray, rightSortedArray);
    }
  }, {
    key: "mergeSortedArrays",
    value: function mergeSortedArrays(leftArray, rightArray) {
      var sortedArray = []; // In case if arrays are not of size 1.

      while (leftArray.length && rightArray.length) {
        var minimumElement = null; // Find minimum element of two arrays.

        if (this.comparator.lessThanOrEqual(leftArray[0], rightArray[0])) {
          minimumElement = leftArray.shift();
        } else {
          minimumElement = rightArray.shift();
        } // Call visiting callback.


        this.callbacks.visitingCallback(minimumElement); // Push the minimum element of two arrays to the sorted array.

        sortedArray.push(minimumElement);
      } // If one of two array still have elements we need to just concatenate
      // this element to the sorted array since it is already sorted.


      if (leftArray.length) {
        sortedArray = sortedArray.concat(leftArray);
      }

      if (rightArray.length) {
        sortedArray = sortedArray.concat(rightArray);
      }

      return sortedArray;
    }
  }]);

  return MergeSort;
}(_Sort2.default);

exports.default = MergeSort;